[dss-commits] digitalSTROM Server branch, master, updated. 30455b3c190c9e62b7d49970d0ddbf6dc98726a1

git version control dss-commits at forum.digitalstrom.org
Mon Nov 16 13:44:18 CET 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "digitalSTROM Server".

The branch, master has been updated
       via  30455b3c190c9e62b7d49970d0ddbf6dc98726a1 (commit)
      from  0cb2a75099c4169a0926d4c552116f3247ad3243 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 30455b3c190c9e62b7d49970d0ddbf6dc98726a1
Author: Johannes Winkelmann <johannes.winkelmann at aizo.com>
Date:   Mon Nov 16 13:44:05 2009 +0100

    add create-dss-release script

-----------------------------------------------------------------------

Changes:
diff --git a/tools/create-dss-release b/tools/create-dss-release
new file mode 100755
index 0000000..17f9259
--- /dev/null
+++ b/tools/create-dss-release
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Create a dss release tarball from git, including webroot customizations
+#
+# Johannes Winkelmann, johannes.winkelmann at aizo.com
+
+# Ubuntu specific: add sprocketize to path
+export PATH=$PATH:/var/lib/gems/1.8/bin/
+
+
+GIT_REPO=ssh://git@developer.digitalstrom.org/home/git/sources/dss.git
+
+if [ -z "$2" ]; then
+	echo "Usage: $(basename $0) <release version string> <git branch name>"
+	exit 1
+fi
+
+DSS_RELEASE_VERSION=$1
+DSS_RELEASE_BRANCH=$2
+TARGET_DIR=dss-$DSS_RELEASE_VERSION
+
+if [ -d "$TARGET_DIR" ]; then
+	echo "Target '$TARGET_DIR' exists; please remove first; exiting"
+	exit 2
+fi
+
+git clone --depth 1 $GIT_REPO $TARGET_DIR
+cd dss-$DSS_RELEASE_VERSION
+git branch $DSS_RELEASE_BRANCH origin/$DSS_RELEASE_BRANCH
+git checkout $DSS_RELEASE_BRANCH
+
+
+git submodule update --init
+./websrc/tools/build_and_copy_weblibs.sh websrc data/webroot/js/
+
+# clean up release tarball
+
+cd ..
+tar cvzf dss-$DSS_RELEASE_VERSION{.tar.gz,} --exclude=\*/.git* --exclude=\*/websrc\*


hooks/post-receive
-- 
digitalSTROM Server


More information about the dss-commits mailing list